Bug 963054 - Abrt Slow Start Up
Abrt Slow Start Up
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 00:24 EDT by KitchM
Modified: 2016-11-30 19:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:53:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description KitchM 2013-05-15 00:24:52 EDT
Description of problem:Abrt doesn't open very quickly at all.  It seems sluggish in operation.


Version-Release number of selected component (if applicable):0.2.10.29.g357b


How reproducible:
Every time

Steps to Reproduce:
1.Click on icon when it appears in the system tray.
2.
3.
  
Actual results:
Slow to open

Expected results:
Should open like other apps.

Additional info:
Comment 1 Jakub Filak 2013-05-16 06:13:57 EDT
Thank you for the report!

I'm not really sure but I would say this is caused by retrieving problems from abrt-dbus which is performed at start up. The operation could be postponed and performed asynchronously after the window became visible.
Comment 2 KitchM 2013-05-16 09:50:22 EDT
Does it perhaps use an inefficient database and/or retrievel method?
Comment 3 KitchM 2013-05-16 14:50:36 EDT
Or, if nothing else, perhaps a message and a progress meter after the window opens.
Comment 4 Jakub Filak 2013-05-16 16:25:57 EDT
(In reply to comment #2)
> Does it perhaps use an inefficient database and/or retrievel method?

It is more likely the method than the database.


(In reply to comment #3)
> Or, if nothing else, perhaps a message and a progress meter after the window
> open.

Sorry. I wasn't precise. I meant I do something like you say.
Comment 5 KitchM 2013-05-17 10:32:17 EDT
Sounds like you know what you're doing.

Thanks.
Comment 6 Jakub Filak 2013-07-04 09:04:32 EDT
I've submitted a patch set which should make the start up faster but the worst case (all problems are different from each other) is not still fixed.
https://lists.fedorahosted.org/pipermail/crash-catcher/2013-July/004926.html
Comment 7 KitchM 2013-07-04 13:25:30 EDT
I've updated to the Fedora 19 version and noted it here.

Thanks for your continuing work on this problem.  I will watch for the upgrade.
Comment 8 KitchM 2013-07-04 15:16:45 EDT
By the way, I just checked the link you gave, and I wanted to note that I am not meaning a few seconds; I am meaning 20-30 seconds, and it also often stops responding on close.
Comment 9 Jakub Filak 2013-07-08 03:06:55 EDT
(In reply to KitchM from comment #8)

How many problems do you see listed in gnome-abrt? I ran tests with 60 problems.

And regardless of the number of problems, the performance of gnome-abrt depends on the number of all installed applications in your system (because of search for a desktop entry[1] which provides the icon and the user friendly name). I'm trying to break this performance dependency but I need more time to think about it before I start coding.

Anyway, the patches mentioned in comment #6 has been already applied. So, if you want to help us, please update abrt/libreport/gnome-abrt packages from the nightly repository[2] and report the results here.


1: http://standards.freedesktop.org/desktop-entry-spec/latest/
2: http://rmarko.fedorapeople.org/
Comment 10 KitchM 2013-07-08 11:05:56 EDT
I have over 70 problems in my list.  But I am not using gnome; I am using xfce 4.10.1.  Does that make a difference?

What should I do in this case?
Comment 11 Jakub Filak 2013-07-08 12:53:51 EDT
(In reply to KitchM from comment #10)
> I have over 70 problems in my list.  But I am not using gnome; I am using
> xfce 4.10.1.  Does that make a difference?

I would say yes. Even though gnome-abrt is pure gtk application, it benefits from GNOME because GNOME loads all Gtk stuff and probably makes the start up faster. But neither I use GNOME (I use KDE) and gnome-abrt starts reasonable fast. I will do some test in xfce.

> 
> What should I do in this case?

Well, I just wanted to know if the patches have had some performance impact in your case.
Comment 12 KitchM 2013-07-08 13:45:28 EDT
I continually (daily) update to the latest normal updates, but I have see no change that I can tell.  Sorry.

Thanks for your help.
Comment 13 Fedora End Of Life 2015-01-09 17:07:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-18 08:53:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.